import { dockerContainers as elasticDockerContainer } from '../../generator-constants.js';
import { getDockerfileContainers } from '../../docker/utils.js';
export async function loadDockerDependenciesTask({ context = this } = {}) {
    const dockerfile = this.readTemplate(this.jhipsterTemplatePath('../../server/resources/Dockerfile'));
    context.dockerContainers = this.prepareDependencies({
        ...elasticDockerContainer,
        ...getDockerfileContainers(dockerfile),
    }, 'docker');
}
